Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.blaf
Class JboUtil

`java.lang.Object
oracle.jbo.html.jsp.blaf.JboUtil`

public class JboUtil
extends java.lang.Object

Constructor Summary
`JboUtil()`

Method Summary
`static void` | `configureNavigatorBarFromDataSource(javax.servlet.jsp.PageContext pageContext, java.lang.String datasource, oracle.cabo.ui.beans.nav.NavigationBarBean bean)`
`static void` | `configureTableFromDataSource(javax.servlet.jsp.PageContext pageContext, java.lang.String datasource, oracle.cabo.ui.beans.table.TableBean bean)`
`static java.lang.Object` | `getCaboDataSource(javax.servlet.jsp.PageContext pageContext, java.lang.String sDataSource)`
`static void` | `handleAddRowEvent(javax.servlet.jsp.PageContext pageContext, java.lang.String datasource)`
`static void` | `setupHideShowFromRequest(javax.servlet.jsp.PageContext pageContext, java.lang.String datasource, RowSet rs)`
`static boolean` | `useUixBoundValue(javax.servlet.jsp.tagext.Tag tag, java.lang.String datasource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboUtil

    public JboUtil()

Method Detail

### getCaboDataSource

    public static java.lang.Object getCaboDataSource(javax.servlet.jsp.PageContext pageContext,
                                                     java.lang.String sDataSource)

### configureNavigatorBarFromDataSource

    public static void configureNavigatorBarFromDataSource(javax.servlet.jsp.PageContext pageContext,
                                                           java.lang.String datasource,
                                                           oracle.cabo.ui.beans.nav.NavigationBarBean bean)

### configureTableFromDataSource

    public static void configureTableFromDataSource(javax.servlet.jsp.PageContext pageContext,
                                                    java.lang.String datasource,
                                                    oracle.cabo.ui.beans.table.TableBean bean)

### setupHideShowFromRequest

    public static void setupHideShowFromRequest(javax.servlet.jsp.PageContext pageContext,
                                                java.lang.String datasource,
                                                RowSet rs)

### handleAddRowEvent

    public static void handleAddRowEvent(javax.servlet.jsp.PageContext pageContext,
                                         java.lang.String datasource)

### useUixBoundValue

    public static boolean useUixBoundValue(javax.servlet.jsp.tagext.Tag tag,
                                           java.lang.String datasource)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.